# class KDateInternalYearSelector | Year selection widget. More...
Internal Use Only
Definition | `#include <kdatetbl.h>`
Inherits | QLineEdit (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KDateInternalYearSelector (int fontsize, QWidget* parent=0, const char* name=0)
- int getYear ()
- void setYear (int year)

#### Public Slots

- void yearEnteredSlot ()

#### Signals

- void closeMe (int)

#### Protected Members

- QIntValidator *val
- int result

## Detailed Description

Year selection widget.

QIntValidator * val | ### val

[protected]

int result | ### result

[protected]

void yearEnteredSlot () | ### yearEnteredSlot

[slot]

void closeMe (int) | ### closeMe

[signal]

KDateInternalYearSelector (int fontsize, QWidget* parent=0, const char* name=0) | ### KDateInternalYearSelector

int getYear () | ### getYear

void setYear (int year) | ### setYear

- Version: $Id: kdatetbl.h,v 1.19 2000/08/15 21:42:06 waba Exp $
- Author: Tim Gilman, Mirko Sucker
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.